Clients
Create a new client
Create a new client account.
Allowed Roles:
admin, client-manager
POST
/
clients
Create a new client
curl --request POST \
--url https://str.keroshospitality.com/api/v1/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "new-client",
"client_secret": "strong-password",
"roles": [
"str-uploader"
]
}
'import requests
url = "https://str.keroshospitality.com/api/v1/clients"
payload = {
"client_id": "new-client",
"client_secret": "strong-password",
"roles": ["str-uploader"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: 'new-client',
client_secret: 'strong-password',
roles: ['str-uploader']
})
};
fetch('https://str.keroshospitality.com/api/v1/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client": {
"client_id": "new-client",
"created_at": "2025-03-26T15:04:05Z",
"last_updated": "2025-03-26T15:04:05Z",
"roles": [
"str-uploader"
]
},
"requestId": "<string>"
}{
"errorMessage": "<string>",
"requestId": "<string>"
}Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/json
CreateClientRequest defines the client creation request payload
ClientID is the unique identifier for the client
Example:
"new-client"
ClientSecret is the client's password or secret key, will be hashed and stored as password_hash
Example:
"strong-password"
Available options:
str-uploader, takk-uploader, client-manager Example:
["str-uploader"]
⌘I
Create a new client
